package com.qxgmat.data.relation;

import com.qxgmat.data.dao.entity.UserPaper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * Created by gaojie on 2017/11/9.
 */
public interface UserPaperRelationMapper {

    List<UserPaper> listHomeworkPreviewAdmin(
            @Param("category") Number category,
            @Param("userId") Number userId,
            @Param("previewId") Number previewId,
            @Param("startTime") String startTime,
            @Param("endTime") String endTime
    );

    List<UserPaper> listHomeworkPreview(
            @Param("category") Number category,
            @Param("userId") Number userId,
            @Param("endTime") String endTime,
            @Param("finish") Boolean finish
    );

    List<UserPaper> listHomeworkPreviewGroupTop(
            @Param("userId") Number userId,
            @Param("top") Number top
    );

    List<UserPaper> listExercisePaper(
            @Param("structId") Number structId,
            @Param("userId") Number userId,
            @Param("logic") String logic,
            @Param("logicExtend") String logicExtend,
            @Param("times") Integer times
    );
}
